apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: argo-events
  namespace: argo
spec:
  interval: 10m
  dependsOn:
    - name: argo-workflows
      namespace: argo
  chart:
    spec:
      chart: argo-events-infra
      version: "2.4.15"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m
  install:
    createNamespace: true
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
